# Crow: crow::SocketAdaptor Struct Reference

Loading...
Searching...
No Matches
crow::SocketAdaptor Struct Reference

A wrapper for the asio::ip::tcp::socket and asio::ssl::stream. More...

`#include <socket_adaptors.h>`

## Public Types

using | context = void

## Public Member Functions

| SocketAdaptor (asio::io_service &io_service, context *)
asio::io_service & | get_io_service ()
tcp::socket & | raw_socket ()
| Get the TCP socket handling data trasfers, regardless of what layer is handling transfers on top of the socket.
tcp::socket & | socket ()
| Get the object handling data transfers, this can be either a TCP socket or an SSL stream (if SSL is enabled).
tcp::endpoint | remote_endpoint ()
bool | is_open ()
void | close ()
void | shutdown_readwrite ()
void | shutdown_write ()
void | shutdown_read ()
template<typename F >
void | start (F f)

## Public Attributes

tcp::socket | socket_

## Detailed Description

A wrapper for the asio::ip::tcp::socket and asio::ssl::stream.

The documentation for this struct was generated from the following file:

- include/crow/socket_adaptors.h